[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.Datalink

Datalink for the component with event handlers for the linked dataset.

## Declaration

Source position: dbgrids.pas line 514

`protected property TCustomDBGrid.Datalink : TComponentDataLink read FDatalink;`

## Description

Datalink is a read-only TComponentDataLink property which provides access to the linked data source and dataset for the grid. It contains event handlers signalled when the actions occur for the data source or dataset. It allows access to the values for the DataSource and DataSet properties for the control, as well as the Columns defined for the control.

DataLink is created and configured in the Create constructor; event handlers for the grid control are assigned to the corresponding event handlers in DataLink.

## See also

TComponentDataLink |  | Maintains an association between a component and a dataset.